Skip to content

Instantly share code, notes, and snippets.

@jwendell
Created June 5, 2023 13:19
Show Gist options
  • Save jwendell/5eaa3ba7ae7e9ca496250a6abcc8e1bc to your computer and use it in GitHub Desktop.
Save jwendell/5eaa3ba7ae7e9ca496250a6abcc8e1bc to your computer and use it in GitHub Desktop.
#!/bin/bash
set -exo pipefail
REPOS="istio istio-operator envoy proxy api prometheus istio-must-gather header-append-filter ratelimit xns-informer"
#REPOS="api prometheus istio-must-gather header-append-filter ratelimit xns-informer"
VERSION="2.3.1"
BRANCH="releases/${VERSION}"
TAG="maistra-${VERSION}"
REMOTE_BASE="git@github.com:maistra"
TMPDIR=$(mktemp -d)
function cleanup() {
rm -rf "${TMPDIR}"
}
trap cleanup EXIT
for repo in ${REPOS}; do
cd "${TMPDIR}" || exit 1
git clone --depth=1 --branch=${BRANCH} "${REMOTE_BASE}/${repo}"
cd "${repo}" || exit 1
git tag -m "Maistra release ${TAG}" "${TAG}"
git push origin "${TAG}"
done
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment